commit f9b756cf5f6654fd272f41527abd1e65cf77a900
Author: Sam Therapy <sam@samtherapy.net>
Date:   Mon Feb 20 20:54:21 2023 +0100

    A new start

diff --git a/.drone.yml b/.drone.yml
new file mode 100644
index 0000000..a53abbd
--- /dev/null
+++ b/.drone.yml
@@ -0,0 +1,66 @@
+kind: pipeline
+name: default
+type: docker
+
+steps:
+  - name: Create apt packages
+    image: "ubuntu:latest"
+    commands:
+      - apt update
+      - apt install -y git reprepro wget
+      # Need >= 5.4.0, which isn't in the repos
+      - wget http://ftp.us.debian.org/debian/pool/main/r/reprepro/reprepro_5.4.1-1_amd64.deb && dpkg -i ./reprepro_5.4.1-1_amd64.deb
+      - rm ./reprepro_5.4.1-1_amd64.deb
+
+      - bash ./import-gpg.sh
+      - bash ./prepare-pages.sh
+
+      - git clone --depth 1 -b pages https://git.froth.zone/packages/awl pkg
+      # delete stuff that either does not matter or will get overwritten
+      - rm -rf pkg/.git
+      # overwrite anything that already exists, and merge the folders that don't
+      - yes | cp -rlPaf repo/* pkg/apt
+      # Remove (this isn't needed but makes me feel better)
+      - rm -rf repo/
+      - mv pkg/apt /pkg/apt
+      - rm -rf pkg/
+    environment:
+      TAG: ${TAG}
+      SIGNING_KEY:
+        from_secret: SIGNING_KEY
+    volumes:
+      - name: pkg
+        path: /pkg
+
+  - name: Push to Pages
+    image: plugins/gh-pages
+    settings:
+      remote_url:
+        from_secret: URL
+      target_branch: pages
+      pages_directory: /pkg
+      user_name: Sam Therapy
+      user_email: sam@samtherapy.net
+    volumes:
+      - name: pkg
+        path: /pkg
+    depends_on:
+      - "Create apt packages"
+
+  - name: Update the DB
+    image: appleboy/drone-git-push
+    settings:
+      branch: master
+      path: /drone/src
+      remote:
+        from_secret: URL
+      commit: true
+      tag: true
+      followtags: true
+      commit_message: Update DB
+    depends_on:
+      - "Push to Pages"
+
+volumes:
+  - name: pkg
+    temp: {}
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..8685091
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,6 @@
+# I hate you, Snyk, but you're so useful
+.dccache
+
+*.deb
+repo/
+pkg/
\ No newline at end of file
diff --git a/conf/distributions b/conf/distributions
new file mode 100644
index 0000000..b30bdac
--- /dev/null
+++ b/conf/distributions
@@ -0,0 +1,6 @@
+Codename: awl
+Components: main
+Architectures: i386 amd64 armhf arm64 source
+SignWith: F8191A8C48DFEE8B
+Limit: 0
+
diff --git a/db/checksums.db b/db/checksums.db
new file mode 100644
index 0000000..a626a53
Binary files /dev/null and b/db/checksums.db differ
diff --git a/db/contents.cache.db b/db/contents.cache.db
new file mode 100644
index 0000000..b3f6280
Binary files /dev/null and b/db/contents.cache.db differ
diff --git a/db/packagenames.db b/db/packagenames.db
new file mode 100644
index 0000000..f9f93ae
Binary files /dev/null and b/db/packagenames.db differ
diff --git a/db/packages.db b/db/packages.db
new file mode 100644
index 0000000..8a38895
Binary files /dev/null and b/db/packages.db differ
diff --git a/db/references.db b/db/references.db
new file mode 100644
index 0000000..f56ca22
Binary files /dev/null and b/db/references.db differ
diff --git a/db/release.caches.db b/db/release.caches.db
new file mode 100644
index 0000000..8fccbb2
Binary files /dev/null and b/db/release.caches.db differ
diff --git a/db/version b/db/version
new file mode 100644
index 0000000..e860ffe
--- /dev/null
+++ b/db/version
@@ -0,0 +1,4 @@
+5.3.0
+3.3.0
+bdb5.3.28
+bdb5.3.0
diff --git a/import-gpg.sh b/import-gpg.sh
new file mode 100644
index 0000000..381d57e
--- /dev/null
+++ b/import-gpg.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -e
+
+[ -z "$SIGNING_KEY" ] && echo "no key" && exit 1
+
+echo -n "$SIGNING_KEY" | gpg --import
diff --git a/prepare-pages.sh b/prepare-pages.sh
new file mode 100755
index 0000000..97a97c6
--- /dev/null
+++ b/prepare-pages.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+set -e
+
+if [ -z "$TAG" ]; then
+	# drone
+	if [ -n "$DRONE_TAG" ]; then
+		TAG=$DRONE_TAG
+	fi
+	# woodpecker
+	if [ -n "$CI_COMMIT_TAG" ]; then
+		TAG=$CI_COMMIT_TAG
+	fi
+	if [ -z "$TAG" ]; then
+		echo "\$TAG not set, exiting"
+		exit 1
+	fi
+fi
+
+arches=("amd64" "386" "armv6" "arm64")
+
+notag=${TAG//v/}
+
+for arch in "${arches[@]}"; do
+	wget "https://git.froth.zone/sam/awl/releases/download/$TAG/awl_${notag}_linux_${arch}.deb"
+done
+
+reprepro includedeb awl ./*.deb
+
+mkdir -p repo
+mv dists/ pool/ repo/
